Bug 1334786 (CVE-2016-4556)

Summary: CVE-2016-4556 squid: SIGSEGV in ESIContext response handling
Product: [Other] Security Response Reporter: Cedric Buissart 🐶 <cbuissar>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: admiller, dvlasenk, luhliari, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An incorrect reference counting flaw was found in the way Squid processes ESI responses. If Squid is configured as reverse-proxy, for for TLS/HTTPS interception, an attacker controlling a server accessed by Squid, could crash the squid worker, causing a Denial of Service attack.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-09 12:43:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1334489, 1334490, 1334491, 1334492, 1334499, 1334500, 1334787    
Bug Blocks: 1334247    

Description Cedric Buissart 🐶 2016-05-10 14:18:33 UTC
Due to incorrect reference counting Squid is vulnerable to a denial of service attack when processing ESI responses.

External references:

http://www.squid-cache.org/Advisories/SQUID-2016_9.txt

Upstream fixes:

Squid 3.5:

http://www.squid-cache.org/Versions/v3/3.5/changesets/SQUID-2016_9.patch

Squid 3.4:

http://www.squid-cache.org/Versions/v3/3.4/changesets/SQUID-2016_9.patch

NOTE: 
For the other related CVE, CVE-2016-4555, see Bug 1334246

Comment 1 Cedric Buissart 🐶 2016-05-10 14:19:03 UTC
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 1334787]

Comment 4 errata-xmlrpc 2016-05-31 05:43:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1139 https://access.redhat.com/errata/RHSA-2016:1139

Comment 5 errata-xmlrpc 2016-05-31 05:57:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1140 https://access.redhat.com/errata/RHSA-2016:1140

Comment 6 errata-xmlrpc 2016-05-31 05:58:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1138 https://access.redhat.com/errata/RHSA-2016:1138